## openldap 2.5.19+dfsg

=== contrib/slapd-modules/cloak/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
INSTALL = /usr/bin/install
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_CLOAK=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = cloak.la
MANPAGES = slapo-cloak.5
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
mandir = $(exec_prefix)/share/man
man5dir = $(mandir)/man5

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

cloak.la: cloak.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: install-lib install-man FORCE

install-lib: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

install-man: $(MANPAGES)
	mkdir -p  $(DESTDIR)$(man5dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man5dir)

FORCE:

=== contrib/slapd-modules/comp_match/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2003-2024 The OpenLDAP Foundation.
# Portions Copyright 2004 by IBM Corporation.
# All rights reserved.

# Copyright 2004 Sang Seok Lim, IBM Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

SNACC_DIR = ../$(LDAP_SRC)/snacc
SNACC_INC = -I$(SNACC_DIR) -I$(SNACC_DIR)/c-lib/inc
SNACC_LIB = $(SNACC_DIR)/c-lib/libcasn1.a

SSL_DIR = /usr/local
SSL_INC = -I$(SSL_DIR)/include/openssl
SSL_LIB = -lcrypto -L$(SSL_DIR)/lib

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2
DEFS = -DLDAP_COMPONENT
INCS = $(LDAP_INC) $(SNACC_INC) $(SSL_INC)
LIBS = $(LDAP_LIB) $(SNACC_LIB) $(SSL_LIB)

PROGRAMS = compmatch.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

compmatch.la: componentlib.lo init.lo certificate.lo asn_to_syn_mr.lo authorityKeyIdentifier.lo crl.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/dsaschema/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2
DEFS = 
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = dsaschema.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

dsaschema.la: dsaschema.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/emptyds/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2024 The OpenLDAP Foundation.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
SRCDIR = ./
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
INSTALL = /usr/bin/install
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_EDS=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = emptyds.la
MANPAGES = slapo-emptyds.5
CLEAN = *.o *.lo *.la .libs
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
mandir = $(exec_prefix)/share/man
man5dir = $(mandir)/man5

all: $(PROGRAMS)

d :=
sp :=
dir := tests
include $(dir)/Rules.mk

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

emptyds.la: emptyds.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
		-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf $(CLEAN)

install: install-lib install-man FORCE

install-lib: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

install-man: $(MANPAGES)
	mkdir -p  $(DESTDIR)$(man5dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man5dir)

FORCE:

=== contrib/slapd-modules/noopsrch/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2024 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_NOOPSRCH=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = noopsrch.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

noopsrch.la: noopsrch.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/proxyOld/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 2005-2024 The OpenLDAP Foundation.
# Portions Copyright 2005 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2
DEFS = 
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = proxyOld.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

proxyOld.la:	proxyOld.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/samba4/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2024 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_RDNVAL=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_PGUID=SLAPD_MOD_DYNAMIC \
	-DSLAPD_OVER_VERNUM=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = pguid.la rdnval.la vernum.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

pguid.la: pguid.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

rdnval.la: rdnval.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

vernum.la: vernum.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/usn/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_USN=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = usn.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

usn.la: usn.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== contrib/slapd-modules/variant/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2024 The OpenLDAP Foundation.
# Copyright 2017 Ondřej Kuzník, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
SRCDIR = ./
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
INSTALL = /usr/bin/install
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_VARIANT=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = variant.la
MANPAGES = slapo-variant.5
CLEAN = *.o *.lo *.la .libs
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
mandir = $(exec_prefix)/share/man
man5dir = $(mandir)/man5

all: $(PROGRAMS)

d :=
sp :=
dir := tests
include $(dir)/Rules.mk

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

variant.la: variant.lo
	$(LIBTOOL) --mode=link $(CC) $(LDFLAGS) -version-info $(LTVER) \
		-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf $(CLEAN)

install: install-lib install-man FORCE

install-lib: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

install-man: $(MANPAGES)
	mkdir -p  $(DESTDIR)$(man5dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man5dir)

FORCE:

=== servers/slapd/back-sql/rdbms_depend/timesten/dnreverse/Makefile ===
## Copyright 1997-2024 The OpenLDAP Foundation, All Rights Reserved.
##  COPYING RESTRICTIONS APPLY, see COPYRIGHT file

#
# Build TimesTen ODBC Sample Programs for Solaris 2.5.1.
# (c) Copyright 1996-1998, TimesTen Performance Software.
# All rights reserved.
## Note: This file was contributed by Sam Drake of TimesTen Performance
##       Software for use and redistribution as an integral part of
##       OpenLDAP Software.  -Kdz

CPLUSPLUS = CC
TTCLASSES = ../../../../../../../../../cs/classes
ODBC	=	/opt/TimesTen4.1/32
CFLAGS	=	-g -I$(ODBC)/include -I. -I$(TTCLASSES) -DUNIX
LDFLAGS	=	-g
DIRLIBS	=	$(TTCLASSES)/ttclasses.a -L $(ODBC)/lib -R $(ODBC)/lib -ltten -lpthread -lm -lrt
XLALIB  =       -L $(ODBC)/lib -lxla

DIRPROGS=	dnreverse 

DNREVERSE=	dnreverse.o

#
#	Top-level targets
#

all:		$(DIRPROGS)

direct:		$(DIRPROGS)

clean:          
		rm -rf $(DIRPROGS) *.o


#
#	Direct-linked programs
#

dnreverse:	$(DNREVERSE)
		$(CPLUSPLUS) -o dnreverse $(LDFLAGS) $(DNREVERSE) $(DIRLIBS) $(XLALIB)

#
#	.o files
#

dnreverse.o:	dnreverse.cpp
		$(CPLUSPLUS) $(CFLAGS) -c dnreverse.cpp

=== debian/changelog ===
openldap (2.5.19+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2085192)
    - Fixed libldap GnuTLS incompatible pointer type (ITS#10253)
    - Fixed libldap OpenSSL set_ciphersuite error handling (ITS#10223)
    - Fixed libldap to check for OpenSSL EVP_Digest* failure (ITS#10224)
    - Fixed slapd syncrepl assert during refresh at shutdown (ITS#10232)
    - Fixed slapd-ldap use of multi-precision add for op counters (ITS#10237)
    - Fixed slapd-mdb idl intersection (ITS#10233)
    - Fixed slapd-wt idl intersection (ITS#10233)
    - Fixed slapo-translucent regression with subordinate databases (ITS#10248)
    - Fixed slapo-translucent regression when requesting attributes (ITS#10272)
    - Fixed slappw-argon2 defaults to be more secure (ITS#9827)
  * Dropped:
    - d/p/remove-extraneous-quote-configure-ac.patch
      [Applied in upstream release 2.5.19]

 -- Bryce Harrington <bryce@canonical.com>  Mon, 21 Apr 2025 16:42:05 -0700

=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper-compat (= 12),
               dh-apparmor,
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
               libargon2-dev <!pkg.openldap.noslapd>,
               libgnutls28-dev,
               libltdl-dev <!pkg.openldap.noslapd>,
               libperl-dev (>= 5.8.0) <!pkg.openldap.noslapd>,
               libsasl2-dev,
               libwrap0-dev <!pkg.openldap.noslapd>,
               nettle-dev <!pkg.openldap.noslapd>,
               openssl <!nocheck>,
               perl:any,
               pkg-config (>= 0.29),
               po-debconf,
               unixodbc-dev <!pkg.openldap.noslapd>
Build-Conflicts: libbind-dev, bind-dev, autoconf2.13
Standards-Version: 4.6.0
Homepage: https://www.openldap.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
Vcs-Browser: https://salsa.debian.org/openldap-team/openldap

Package: slapd
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules, ufw,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-contrib
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: slapd-smbk5pwd
Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~), slapd (<< 2.5.4+dfsg-1~)
Replaces: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Description: contributed plugins for OpenLDAP slapd
 This package contains a number of slapd overlays and plugins contributed by
 the OpenLDAP community. While distributed as part of OpenLDAP Software, they
 are not necessarily supported by the OpenLDAP Project.

Package: slapd-smbk5pwd
Architecture: all
Section: oldlibs
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd-contrib, ${misc:Depends}
Breaks: slapd (<< 2.4.47+dfsg-2~)
Description: transitional package for slapd-contrib
 This is a transitional package from slapd-smbk5pwd to slapd-contrib. It can be
 safely removed.

Package: ldap-utils
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
Suggests: libsasl2-modules,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.5-0
Section: libs
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libldap-common
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
Description: OpenLDAP common files for libraries
 These are common files for the run-time libraries for the OpenLDAP
 (Lightweight Directory Access Protocol) servers and clients.

Package: libldap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides: libldap2-dev
Breaks: libldap2-dev (<< 2.5.4+dfsg-1~)
Replaces: libldap2-dev (<< 2.5.4+dfsg-1~)
Depends: libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: libldap2-dev
Section: oldlibs
Architecture: all
Depends: libldap-dev, ${misc:Depends}
Description: transitional package for libldap-dev
 This is a transitional package from libldap2-dev to libldap-dev. It can be
 safely removed.

Package: slapi-dev
Section: libdevel
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: development libraries for OpenLDAP SLAPI plugin interface
 This package allows development of plugins for the OpenLDAP slapd server
 using the SLAPI interface.  It includes the headers and libraries needed
 to build such plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

# Set this variable if you're building packages outside of Debian and don't
# want the checks for DFSG-freeness.
#DFSG_NONFREE = 1

export DEB_CFLAGS_MAINT_APPEND := -Wall -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
export DEB_MAINTAINER := $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)

# Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
export DEB_VERSION

# Workaround for bad glibc behavior when resolving localhost
export RESOLV_MULTI = off

CONFIG		= $(shell grep -v "^\#" debian/configure.options)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --disable-mdb
endif
ifneq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	CONFIG += --disable-slapd
endif

CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 smbk5pwd

# Ensure CC is set correctly for cross builds, unless it has already
# been set explicitly.
ifeq ($(origin CC),default)
	export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

installdir	:= $(CURDIR)/debian/tmp
builddir	:= $(CURDIR)/debian/build
slapddir	:= $(CURDIR)/debian/slapd/usr/sbin

# Standard variables used in contrib Makefiles.
# We override these in make invocations rather than patch every one.
CONTRIB_MAKEVARS := \
	LDAP_BUILD='$(builddir)' \
	OPT= \
	prefix=/usr \
	ldap_subdir=/ldap \
	moduledir='$$(libdir)$$(ldap_subdir)'

# These variables are used only by get-orig-source, which will normally only
# be run by maintainers.
VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
URL     = https://www.openldap.org/software/download/OpenLDAP/openldap-release/

# Download the upstream source and make changes as required for DFSG reasons.
# Assumes wget is available, as this is generally only used by the package
# maintainers.
get-orig-source:
	@if [ ! -d "debian/schema" ] ; then \
	    echo 'Run this from the top directory of the Debian source' >&2; \
	    exit 1; \
	fi
	wget $(URL)/openldap-$(VERSION).tgz
	tar xzf openldap-$(VERSION).tgz
	rm -r openldap-$(VERSION)/doc/drafts
	rm -r openldap-$(VERSION)/doc/rfc
	set -e; for schema in debian/schema/*.schema debian/schema/*.ldif ; do \
	    file=`basename "$$schema"`; \
	    rm openldap-$(VERSION)/servers/slapd/schema/$$file; \
	done
	mv openldap-$(VERSION) openldap-$(VERSION)+dfsg
	tar cf openldap_$(VERSION)+dfsg.orig.tar openldap-$(VERSION)+dfsg
	rm -r openldap-$(VERSION)+dfsg
	gzip -9 openldap_$(VERSION)+dfsg.orig.tar

DH = dh $@ --builddirectory=$(builddir)
.PHONY: build
build:
	$(DH)
%:
	$(DH)

override_dh_auto_configure:
	# Check if we include the RFCs, Internet-Drafts, or upstream schemas
	# with RFC text (which are non DFSG-free).  You can set DFSG_NONFREE
	# to build the packages from the unchanged upstream sources but Debian
	# can not ship the RFCs in main so this test is here to make sure it
	# does not get in by accident again. -- Torsten
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    if [ -e doc/drafts ] || [ -e doc/rfc ]; then exit 1; fi; \
	    if [ -e servers/slapd/schema/core.schema ] \
	       && grep -q 'RFC 4519 definition' servers/slapd/schema/core.schema; \
	    then \
		exit 1; \
	    fi; \
	fi

	# Copy our stripped schema versions into where upstream expects them.
	if [ -z "$(DFSG_NONFREE)" ]; then \
		cp debian/schema/*.schema debian/schema/*.ldif \
			servers/slapd/schema/; \
	fi

	dh_auto_configure -- $(CONFIG)

override_dh_auto_build:
	dh_auto_build
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	# passwd/sha2 needs special handling, see #2000817
	for mod in $(CONTRIB_MODULES); do \
		if [ "$$mod" = "passwd/sha2" ]; then \
			EXTRA_OPT="-fno-strict-aliasing"; \
		else \
			EXTRA_OPT=""; \
		fi; \
		dh_auto_build -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) OPT+=$$EXTRA_OPT || exit $$?; \
	done
endif

override_dh_auto_install:
	dh_auto_install -- STRIP_OPTS=
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_install -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done

	# Empty the dependency_libs file in the .la files.
	for F in $(installdir)/usr/lib/ldap/*.la; do \
		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
	done
endif
	
	# Check all built libraries for unresolved symbols except for the
	# libslapi library.  It is a special case since the SLAPI interface
	# depends on symbols defined in slapd itself.  Those symbols will
	# remain unresolved until the plugin is loaded into slapd.
	for F in $(installdir)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*.*.*; do \
	    if echo "$$F" | grep -q libslapi ; then \
	        continue; \
	    fi; \
	    if LD_LIBRARY_PATH=$(installdir)/usr/lib/$(DEB_HOST_MULTIARCH) ldd -d -r $$F 2>&1 | grep '^undefined symbol:'; then \
	        echo; \
	        echo "library $$F has undefined references.  Please fix this before continuing."; \
		exit 1; \
	    fi; \
	done

	# Upstream manpages are section 8C but installed as section 8
	find $(installdir)/usr/share/man -name \*.8 \
		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_install-arch:
	dh_install

	# install AppArmor profile
	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd

	# install Apport hook
	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py

	# install ufw profile
	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd

	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
endif

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --error-handler=ignore_init_failure -- "defaults 19 80"

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_fixperms-arch:
	dh_fixperms
	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
endif

override_dh_strip:
	dh_strip -pslapd --dbgsym-migration='slapd-dbg (<< 2.4.45+dfsg-1~)'
	dh_strip --remaining-packages
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	# hardlink these so not confined by apparmor; do this here and not
	# in dh_link so that dh_strip doesn't get confused and put the wrong
	# binary in the debug package.
	for f in slapacl slapadd slapauth slapcat slapdn slapindex slapmodify slappasswd slapschema slaptest; do \
	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
	done
endif

override_dh_link:
	sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/libldap-dev.links.in > debian/libldap-dev.links
	dh_link

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_makeshlibs:
	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
		                      s/\.so\./-/; p; q }' \
	)" >> debian/slapd.substvars
	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
	dh_makeshlibs --remaining-packages
endif

ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
override_dh_installdeb:
	dh_installdeb
	perl -w debian/dh_installscripts-common -p slapd
endif

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	# Update translation templates for debconf
	debconf-updatepo
ifeq ($(filter pkg.openldap.noslapd,$(DEB_BUILD_PROFILES)),)
	# Remove our stripped schema from the upstream source area.
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
	        rm -f servers/slapd/schema/`basename $$s`; \
	    done; \
	fi

	# Clean the contrib directory
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \

=== debian/watch ===
# debian/watch -- Rules for uscan to find new upstream versions.

version=3
opts=dversionmangle=s/\+dfsg// \
https://www.openldap.org/software/download/ \
    (?:.*/)?openldap-?_?([\d+\.]+)\.tgz

## openldap 2.5.20+dfsg

=== debian/changelog ===
openldap (2.5.20+dfsg-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version (LP: #2127665)
    - Fixed lloadd handling of starttls critical (ITS#10323)
    - Fixed slapd regression with certain searches (ITS#10307)
    - Fixed slapo-pcache caching behaviors (ITS#10270)
  * pbkdf2 iteration configuration support (LP: #2125685)
    - d/p/lp2125685-pbkdf2-configurable-rounds: make iterations configurable
    - d/p/lp2125685-pbkdf2-fix-iteration-arg: fix iteration argument index
    - d/t/pbkdf2-contrib: test if pbkdf2 hashing rounds are adjustable
  * Enable build of ppm password quality check module (LP: #2121816)
    - d/rules: build ppm password quality module
    - d/p/contrib-makefiles: build patches from 2.6.9+dfsg-1~exp1 (#1039740)
    - d/p/ppm-cross: cross-build patch from 2.6.8+dfsg-1~exp1 (#1079533)
    - d/t/ppm-contrib: test ppm password quality module
      + no attribute checks, since they're first possible with 2.6.2
    - d/control: add dependency on libcrack2-dev for ppm
    - d/slapd-contrib.{examples,install,manpages}: add ppm

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 24 Sep 2025 15:40:37 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                groff-base,
                heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
+               libcrack2-dev <!pkg.openldap.noslapd>,
                libgnutls28-dev,
                libltdl-dev <!pkg.openldap.noslapd>,
                libperl-dev (>= 5.8.0) <!pkg.openldap.noslapd>,

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
+CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 ppm smbk5pwd
 
 # Ensure CC is set correctly for cross builds, unless it has already
 # been set explicitly.

=== debian/tests/control ===
Tests: slapd
Depends: ldap-utils
Restrictions: allow-stderr, isolation-container, needs-root, superficial

Tests: smbk5pwd
Depends: ldap-utils, slapd, slapd-contrib, heimdal-kdc, samba, schema2ldif
Restrictions: allow-stderr, isolation-container, needs-root, superficial

Tests: sha2-contrib
Depends: slapd, openssl

Tests: pbkdf2-contrib
Depends: slapd, slapd-contrib, python3-passlib
Restrictions: allow-stderr, superficial

Tests: ppm-contrib
Depends: ldap-utils
Restrictions: allow-stderr, needs-sudo

## openldap 2.6.3+dfsg

=== debian/changelog ===
openldap (2.6.3+dfsg-1~exp1ubuntu2) lunar; urgency=medium

  * Build the passwd/sha2 contrib module with -fno-strict-aliasing to
    avoid computing an incorrect SHA256 hash with some versions of the
    compiler (LP: #2000817):
    - d/t/{control,sha2-contrib}: test to verify the SHA256 hash
      produced by passwd/sha2
    - d/rules: set -fno-strict-aliasing only when building the
      passwd/sha2 contrib module
  * d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
    smbk5pwd DEP8 test (LP: #2004560)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 03 Feb 2023 09:33:14 -0300

openldap (2.6.3+dfsg-1~exp1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993426). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
  * Drop changes:
    - Enable SASL/GSSAPI tests. (LP #1976508)
      + d/control: Update B-D to include required dependencies needed to run
        SASL/GSSAPI tests during build time, and mark them "!nocheck".
      Thanks: Andreas Hasenack <andreas.hasenack@canonical.com>
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 18 Nov 2022 16:07:45 -0500

openldap (2.6.3+dfsg-1~exp1) experimental; urgency=medium

  * d/rules: Remove get-orig-source, now unnecessary.
  * Check PGP signature when running uscan.
  * d/watch: Modernize watch file; use repacksuffix.
  * d/copyright: Expand Files-Excluded to account for other schemas/ldifs.
  * New upstream release.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 19 Sep 2022 14:07:32 -0400

openldap (2.6.2+dfsg-1~exp2) experimental; urgency=medium

  * Enable SASL/GSSAPI tests
    - d/control: Update B-D to include required dependencies needed to run
      SASL/GSSAPI tests during build time, and mark them "!nocheck".
    Thanks to Andreas Hasenack <andreas.hasenack@canonical.com>

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 25 Aug 2022 15:16:24 -0400

openldap (2.6.2+dfsg-1~exp1) experimental; urgency=medium

  * d/gbp.conf: Prepare to import 2.6.x.
  * New upstream version 2.6.2+dfsg
  * d/patches/*.patch: Refresh patches.
  * Adjust package to ship renamed libldap.
    - d/clean: Adjust to remove d/libldap2.links.
    - d/control: New binary package libldap2.  Remove binary package
      libldap-2.5-0.  Adjust package relationships (Depends, Replaces) due
      to new package.  Remove old Conflicts with old ldap-utils.
    - d/libldap-2.5-0.install: Delete file.
    - d/libldap-2.5-0.symbols: Likewise.
    - d/libldap-2.5-0.README.Debian: Rename to...
    - d/libldap2.README.Debian: ... this.
    - d/libldap2.install: New file, based on d/libldap-2.5-0.install
    - d/libldap2.symbols: New file, based on d/libldap-2.5-0.symbols.
    - d/slapd.install: Install libslapi.so.2*.
    - d/slapd.lintian-overrides: Remove
      lacks-unversioned-link-to-shared-library override.  Adjust
      package-name-doesnt-match-sonames to reflect libslapd2 name change.
  * Remove ndb references, given the plugin has been removed upstream.
    - d/configure.options: Remove "--disable-ndb".
    - d/slapd.manpages: Don't install slapd-ndb.5.
  * d/control: Add myself to Uploaders.
  * d/README.source: New file with instructions on how to import a new
    release.
  * d/copyright: Write new copyright file from scratch.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 20 May 2022 17:41:04 -0400

openldap (2.5.13+dfsg-1ubuntu2) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:50:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
- Ryan Tandy <ryan@nardis.ca>
+ Ryan Tandy <ryan@nardis.ca>,
+ Sergio Durigan Junior <sergiodj@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
                heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
-               libcrack2-dev <!pkg.openldap.noslapd>,
                libgnutls28-dev,
                libltdl-dev <!pkg.openldap.noslapd>,
                libperl-dev (>= 5.8.0) <!pkg.openldap.noslapd>,
@@ -23,7 +23,13 @@
                perl:any,
                pkg-config (>= 0.29),
                po-debconf,
-               unixodbc-dev <!pkg.openldap.noslapd>
+               unixodbc-dev <!pkg.openldap.noslapd>,
+# Needed for SASL/GSSAPI tests
+               krb5-admin-server <!nocheck>,
+               krb5-user <!nocheck>,
+               krb5-kdc <!nocheck>,
+               libsasl2-modules-gssapi-mit <!nocheck>,
+               sasl2-bin <!nocheck>,
 Build-Conflicts: libbind-dev, bind-dev, autoconf2.13
 Standards-Version: 4.6.0
 Homepage: https://www.openldap.org/
@@ -35,14 +41,14 @@
 Architecture: any
 Build-Profiles: <!pkg.openldap.noslapd>
 Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}),
+Depends: ${shlibs:Depends}, libldap2 (= ${binary:Version}),
  coreutils (>= 4.5.1-1), psmisc, perl:any (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${perl:Depends}, ${misc:Depends}
 Recommends: ldap-utils
 Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
-Replaces: libldap2, ldap-utils (<< 2.2.23-3)
+Replaces: ldap-utils (<< 2.2.23-3)
 Provides: ldap-server, ${slapd:Provides}
 Description: OpenLDAP server (slapd)
  This is the OpenLDAP (Lightweight Directory Access Protocol) server
@@ -73,7 +79,7 @@
 
 Package: ldap-utils
 Architecture: any
-Depends: ${shlibs:Depends}, libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libldap2 (= ${binary:Version}), ${misc:Depends}
 Suggests: libsasl2-modules,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldap-utils, openldap-utils, ldap-client
@@ -85,15 +91,13 @@
  local or remote LDAP server and contain all the client programs
  required to access LDAP servers.
 
-Package: libldap-2.5-0
+Package: libldap2
 Section: libs
 Architecture: any
 Multi-Arch: same
-Conflicts: ldap-utils (<= 2.1.23-1)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libldap-common
-Replaces: libldap2, libldap-2.3-0
 Description: OpenLDAP libraries
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.
@@ -115,7 +119,7 @@
 Provides: libldap2-dev
 Breaks: libldap2-dev (<< 2.5.4+dfsg-1~)
 Replaces: libldap2-dev (<< 2.5.4+dfsg-1~)
-Depends: libldap-2.5-0 (= ${binary:Version}), ${misc:Depends}
+Depends: libldap2 (= ${binary:Version}), ${misc:Depends}
 Description: OpenLDAP development libraries
  This package allows development of LDAP applications using the OpenLDAP
  libraries. It includes headers, libraries and links to allow static and

## openldap 2.6.4+dfsg

=== debian/changelog ===
openldap (2.6.4+dfsg-1~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018093). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - Build the passwd/sha2 contrib module with -fno-strict-aliasing to
      avoid computing an incorrect SHA256 hash with some versions of the
      compiler (LP #2000817):
      + d/t/{control,sha2-contrib}: test to verify the SHA256 hash
        produced by passwd/sha2
      + d/rules: set -fno-strict-aliasing only when building the
        passwd/sha2 contrib module
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 21 Jun 2023 14:48:31 -0400

openldap (2.6.4+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.4+dfsg.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 04 Mar 2023 16:35:10 -0500

## openldap 2.6.5+dfsg

=== debian/changelog ===
openldap (2.6.5+dfsg-1~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028721). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/rules: better regexp to match the Maintainer tag in d/control,
      needed in the Ubuntu case because of XSBC-Original-Maintainer
      (Closes #960448, LP #1875697)
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
  * Drop changes:
    - Build the passwd/sha2 contrib module with -fno-strict-aliasing to
      avoid computing an incorrect SHA256 hash with some versions of the
      compiler (LP: #2000817):
      + d/t/{control,sha2-contrib}: test to verify the SHA256 hash
        produced by passwd/sha2
      + d/rules: set -fno-strict-aliasing only when building the
        passwd/sha2 contrib module
      [ Incorporated by Debian. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 27 Jul 2023 13:18:18 -0400

openldap (2.6.5+dfsg-1~exp1) experimental; urgency=medium

  [ Sergio Durigan Junior ]
  * New upstream version 2.6.5+dfsg
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.
  * d/control: Bump debhelper-compat to 13.
  * d/control: Drop lsb-base from slapd's Depends.

  [ Ryan Tandy ]
  * Fix smbk5pwd autopkgtest with /var/lib/heimdal-kdc 700 (#1020442)
  * Update more Lintian overrides to use square brackets
  * Drop unused custom-library-search-path override
  * Add wildcards to make overrides work with older lintian.
    Apparently ftp-master's auto-rejects are not evaluated using the latest
    version of lintian.
  * Fix sha2 autopkgtest failure (#1030814)

  [ Gioele Barabucci ]
  * slapd.scripts-common: Avoid double-UTF8-encoding org name.
    (Closes: #1016185)
  * d/slapd.scripts-common: Remove outdated `migrate_to_slapd_d_style`
  * d/slapd.postinst: Remove test for ancient version.
  * slapd.scripts-common: Remove unused `normalize_ldif`
  * d/slapd.scripts-common: Use sed instead of perl in `release_diagnostics`

  [ Andreas Hasenack ]
  * d/rules: Fix passwd/sha2 build.
    Build the passwd/sha2 contrib module with -fno-strict-aliasing to avoid
    computing an incorrect SHA256 hash with some versions of the compiler
    (LP: #2000817)
  * d/t/sha2-contrib: add test for sha2 module.
    DEP8 test to verify the SHA256 hash produced by passwd/sha2

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 24 Jul 2023 19:26:16 -0400
